The default mode for Property Search is to return the actual property records. The response schema is an abbreviated version of the full Property Detail response schema (see ids_only if you need specific fields from Property Detail that don't exist in the Property Search schema, such as .saleHistory & .mortgageHistory)
For the billing on Starter, Growth, and Pro Plans, each property record returned by the API in the default mode incurs a spend of 1 credit. If I get 50 properties matching my search criteria, that'll incur a credit spend of 50 credits.
Paging
- in order to get all results for queries that have more 250 results, you'll need to implement pagination logic using our designated paging paradigm built into the Property Search input parameters and response fields
"size"
- the page size, aka the number of records you'd like to pull in a given Property Search API call
- will always grab the requested number unless there are fewer than that many records matching the search criteria
- e.g. if I call with a size of 100, and there are only 50 matching properties for what I specified, only 50 records will come back and recordCount and responseCount will also be 50
"resultCount"
- the total result count for the query and the full amount of records we could iterate through with paging
"recordCount"
- exists on the Property Search response object (root level) and represents the total number of property records returned on this specific API call. For example if I specify a page "size" of 50 on my input, then the "recordCount" will also be 50 on the corresponding response
"resultIndex"
- think of this like a database cursor or a pointer to where we currently are in the full result set
- on your first Property Search API call, you don't need to include this field on the input
- you'll receive a "resultIndex" (root level) value on your 1st response, and you can continually grab this value from each subsequent response object and feed back into the next input API call to Property Search as you sequentially call with increasing resultIndex values